package com.yidian.shenghuoquan.bmerchantorder.ui

import androidx.activity.viewModels
import com.yidian.bcommon.constant.XRouterPathConstants
import com.yidian.bcommon.mvvm.BaseMvvmActivity
import com.yidian.shenghuoquan.bmerchantorder.R
import com.yidian.shenghuoquan.bmerchantorder.databinding.BmerchantorderActivityMerchantOrderCenterBinding
import com.yidian.shenghuoquan.bmerchantorder.viewmodel.MerchantOrderCenterViewModel
import com.yidian.xpage.XPageViewProtocol


/**
 * 商户订单中心
 */
class MerchantOrderCenterActivity : BaseMvvmActivity<BmerchantorderActivityMerchantOrderCenterBinding, MerchantOrderCenterViewModel>(),
  XPageViewProtocol {

  override val layoutId: Int = R.layout.bmerchantorder_activity_merchant_order_center

  override val vm: MerchantOrderCenterViewModel by viewModels()

  override fun getXPageName(): String {
    return XRouterPathConstants.MERCHANT_ORDER_CENTER_ACTIVITY
  }

  override fun initView() {
  }

}
